API ReferenceEcosystems
Update ecosystem
PUT
Updates an ecosystem by its ID.
Roles
admindts-provider
Analytics Events
ECOSYSTEM_UPDATE_STARTECOSYSTEM_UPDATE_SUCCESSECOSYSTEM_UPDATE_FAIL
bearerAuthheader
AuthorizationBearer <token>ecosystemId*stringThe UUID of the ecosystem
Format
uuidapplication/json- body
name?nameThe name of the ecosystem.
Length
1 <= length <= 50integrations?array<|>Ecosystem updated
application/json- response
id?stringThe UUID of the ecosystem.
Format
uuidname?stringThe name of the ecosystem.
Length
1 <= length <= 50integrations?array<|>curl -X PUT 'https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": "87880d7e-a4d0-462e-8383-3f1e5e16865d", "name": "My Ecosystem", "integrations": [ { "format": "MATTR", "url": "https://example.vii.au01.mattr.global/v1/ecosystems/489755c9-1d74-4f59-a127-db7105667bfe/policy", "enabled": true, "integrationResult": { "success": true, "lastSyncedAt": "2024-09-10T02:28:36.550Z", "lastModifiedAt": "2024-08-10T02:28:36.550Z", "failReasons": [ { "type": "UnknownVerificationError", "message": "Unknown verification error occurred" } ] } } ]}How would you rate this page?